# world-build
This repository contains the world information distributed with SURFACE.

## Installing
You don't need to install this to run SURFACE, but you can if you want to see updates more quickly.
You will need `git` to do this. `git clone` the repo into a suitable directory and then run the game with

`surface-game --dist-data <repo-dir>`

## Contributing
You can contribute to SURFACE's world by making a fork of this repo and raising merge requests.
When building contributions, `git clone` your fork and run the game with

`surface-game --user-data <repo-dir>`

This will save your builds into your repository. You can then `git push` the repo to share it with others.
If you would like your work to be incorporated into the main distribution (this repo), feel free to raise a merge request.

## dist-data vs user-data
SURFACE combines the data in these two directories every time it runs.
The default `dist-data` directory is called `places` in the installation folder.
Changes you make are saved to the `user-data` folder, which is somewhere in your local settings by default.
The reason for this is so that players can update SURFACE (and get a new `dist-data`) without losing anything they have built locally.

## I've made changes locally that I want to contribute
Currently you'll have to go find your local `user-data` folder (on Linux, this is `~/.local/share/surface-x.x.x/`) and copy the files into a new fork.
